Source: libdaemon-control-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdaemon-control-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdaemon-control-perl.git
Homepage: https://metacpan.org/release/Daemon-Control

Package: libdaemon-control-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: module for creating init scripts in Perl
 Daemon::Control provides a library for creating init scripts in Perl.
 Your Perl script just needs to set the accessors for what and how you
 want something to run and the library takes care of the rest.
 .
 You can launch programs through the shell (/usr/sbin/my_program) or
 launch Perl code itself into a daemon mode. Single and double fork
 methods are supported and in double-fork mode all the things you
 would expect like reopening STDOUT/STDERR, switching UID/GID
 are supported.
